package com.yonge.cooleshow.biz.dal.enums.coupon;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 优惠券有效期类型
 * @author: Eric
 * @date: 2022-03-30
 */
public enum CouponValidTypeEnum implements BaseEnum<String, CouponValidTypeEnum> {

    DAY("固定有效天数"),
    TIME_PERIOD("固定时间段"),
    ;

    @EnumValue
    private String code;
    private String msg;

    CouponValidTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    public String getCode() {
        return code;
    }
}
